Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.internal
Class FTIndex

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.internal.InternalExpr
              org.basex.query.xpath.internal.FTIndex

    public final class FTIndex

extends InternalExpr

This expression retrieves the ids of indexed fulltext terms.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky, Christian Gruen

Constructor Summary
`FTIndex(byte[] tok, FTOption opt, boolean sim, boolean sing)` Constructor.

Method Summary
`NodeSet` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.
`FTOption` | `getFTOption()` Get FTOptions for index access.
`byte[]` | `getToken()` Get token for index access.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.internal.InternalExpr
`compile, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue, sameAs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTIndex

    public FTIndex(byte[] tok,
                   FTOption opt,
                   boolean sim,
                   boolean sing)

  Constructor.

  Parameters:
    `tok` - index token
    `opt` - FTOption for index token
    `sim` - flag for simple ftcontains queries
    `sing` - flag for single word queries

Method Detail

### eval

    public NodeSet eval(XPContext ctx)

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue

### getFTOption

    public FTOption getFTOption()

  Get FTOptions for index access.

  Returns:
    ftoptions

### getToken

    public byte[] getToken()

  Get token for index access.

  Returns:
    token

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `Expr`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD